jQuery(document).ready(function($) {
    packets = 0;
    var urlParams = new URLSearchParams(window.location.search);
    var page = urlParams.get('page');
    var profileID = urlParams.get('profile_id');
    var update = false;
    if ('divimanager-profile' == page) {
        loadManageProfiles();
    }
    if ('divimanager-profile-update' == page) {
        update = true;
    }

    //$('#profile').on('change', function() {
        //document.forms['profileForm'].submit();
        // load form
        loadProfileSettingsForm();
    //});

    // submit form values
    $( '#profileForm' ).on( 'submit', function (e) {
        e.preventDefault();
        updateProfileSettings($( this ));
    });

    /**
     * Load the manage profiles stuff
     */
    function loadManageProfiles()
    {
        console.log('load manage profiles');

        $.get({
            url: DMPROprofile.api.url,
            headers: {
                'X-WP-Nonce': DMPROprofile.api.nonce
            }
        }).done( function(data) {
            data.forEach((row) => {
                $('table#profiles').append(`<tr id="profile${row.id}"><td><a href='' class='remove' onClick='removeProfile(${row.id});'>[X]</a></td><td><a href="${row._links.self.href}">${row.name}</a></td><td>${row.description}</tr>`)
            });
        });
    }

    removeProfile = function (id)
    {
        console.log('remove click');
        var data = {
            'id': id
        }
        $.ajax({
            method: 'DELETE',
            url: DMPROprofile.api.url + '/' + id,
			headers: {
				'X-WP-Nonce': DMPROprofile.api.nonce
			},
            data
        }).done( function(data) {
				if (true === data) {
					$('tr#profile' + id).remove();
				}
        });

        event.preventDefault();
        return false;
    };

    /**
     * load the setting information from the server
     * build the form
     * populate form with values, defaults or settings
     */
    function loadProfileSettingsForm()
    {
        //console.log('loadProfileSettingsForm');
        //console.log(profile);
        // load the form fields
        $.ajax({
            method: 'GET',
            url: DMPROprofile.form.url,
            beforeSend: function ( xhr ) {
                xhr.setRequestHeader( 'X-WP-Nonce', DMPROprofile.form.nonce );
            }
        }).then( function ( data ) {
            // add inputs to the form
            Object.keys(data).forEach((key) => $('table#profile-form').append(rowForField(data[key])));

            // wait until all ajax is done
            $(document).ajaxStop(function() {
                console.log('ajaxStop');
                console.log(packets);
                // once the form is loaded, load the profile values if profile_id is set
                if (null != profileID) {
                    loadProfileValues(profileID);
                }
                $(this).off();
            });
        });
        console.log('done loadprofilesettingsform');
    }

    /**
     * Load the profile and set the values in the form
     */
    function loadProfileValues(profileID)
    {
        console.log('loadProfileValues');
        $.ajax({
            method: 'GET',
            url: DMPROprofile.api.url + '/' + profileID,
            beforeSend: function ( xhr ) {
                xhr.setRequestHeader( 'X-WP-Nonce', DMPROprofile.form.nonce );
            }
        }).then( function ( data ) {
            console.log(data);
            if( data.hasOwnProperty( 'name' ) ){
                console.log('setting name');
                $( '#name' ).val( data.name );
            }
            if( data.hasOwnProperty( 'description' ) ){
                console.log('setting description');
                $( '#description' ).val( data.description );
            }
            if( data.hasOwnProperty( 'theme_id' ) ){
                console.log('setting theme');
                $( '#theme' ).val( data.theme_id );
            }
            if( data.hasOwnProperty( 'dns' ) ){
                console.log('setting dns');
                $( '#dns' ).val( data.dns );
            }
            if( data.hasOwnProperty( 'server' ) ){
                console.log('setting server');
                $( '#host' ).val( data.server );
            }
            if( data.hasOwnProperty( 'plugins' ) ){
                console.log('setting plugins');
                data.plugins.forEach((value) => {
                    $('input[type="checkbox"][name="plugins[]"][value='+value+']').prop('checked', true)
                });
            }
        });
    }

    function updateProfileSettings(form)
    {
        if (true == update) {
            url = DMPROprofile.api.url + '/' + profileID;
            method = 'PUT';
        } else {
            url = DMPROprofile.api.url;
            method = 'POST';
        }

        var data = form.serializeArray();
        $.ajax({
            method: method,
            url: url,
            beforeSend: function ( xhr ) {
                xhr.setRequestHeader('X-WP-Nonce', DMPROprofile.api.nonce);
            },
            data:data
        }).done( function (r) {
            console.log('done');
            console.log(r);
            $( '#feedback' ).html( '<p>' + DMPROprofile.strings.saved + '</p>' );
        }).fail( function (r) {
            console.log('fail');
            console.log(r);
            var message = DMPROprofile.strings.error;
            if( r.hasOwnProperty( 'message' ) ){
                message = r.message;
            }
            $( '#feedback' ).html( '<p>' + message + '</p>' );
        })
    }

    function old_updateProfileSettings(form)
    {
        var data = form.serializeArray();
        $.ajax({
            method: 'POST',
            url: DMPROprofile.api.url,
            beforeSend: function ( xhr ) {
                xhr.setRequestHeader('X-WP-Nonce', DMPROprofile.api.nonce);
            },
            data:data
        }).done( function (r) {
            console.log('done');
            console.log(r);
            $( '#feedback' ).html( '<p>' + DMPROprofile.strings.saved + '</p>' );
        }).fail( function (r) {
            console.log('fail');
            console.log(r);
            var message = DMPROprofile.strings.error;
            if( r.hasOwnProperty( 'message' ) ){
                message = r.message;
            }
            $( '#feedback' ).html( '<p>' + message + '</p>' );
        })
    }
});
