// crud for provisions
//
// for reference
// @see https://developer.wordpress.org/plugins/javascript/ajax/
//
jQuery(document).ready(function($) {

    loadProvisions();

    function loadProvisions(host)
    {
        // clear the list
        $('table#provisions-settings').empty();

        // load the provision list
        $.get({
            url: DMPROprovision.api.url,
            headers: {
                'X-WP-Nonce': DMPROprovision.api.nonce
            }
        }).done( function(data) {
            data.forEach((row) => {
                $('table#provisions').append(
                    `<tr id="provision${row.id}">` +
                    `<td><a href='' class='remove' onClick='removeProvision(${row.id});'>[X]</a></td>` +
                    `<td>${row.siteID}</td>` +
                    `<td>${row.status}</td>` +
                    '</tr>')
            });
        });
    }

    // delete a provision
    removeProvision = function (id) {
        var data = {
            'id': id
        }
        $.ajax({
            method: 'DELETE',
            url: DMPROprovision.api.url + '/' + id,
			headers: {
				'X-WP-Nonce': DMPROprovision.api.nonce
			},
            data
        }).done( function(data) {
				if (true === data) {
					$('tr#provision' + id).remove();
				}
        });

        event.preventDefault();
        return false;
    };
} );
