// crud for servers
//
// for reference
// @see https://developer.wordpress.org/plugins/javascript/ajax/
//
jQuery(document).ready(function($) {
    $('#host').on('change', function() {
        loadServersForHost(this.value);
    });

    $('ignore_input#import').on('click', function() {
        console.log('import');
        var host = $('#host')[0].value;
        if (typeof host == 'undefined') {
            $( '#feedback' ).html( '<p>Please select a host before importing servers.</p>' );
            return;
        }
        // load the server list
        $.get({
            url: DMPROserver.api.uri + '/host/' + host + '/serverimport',
            headers: {
                'X-WP-Nonce': DMPROserver.nonce
            }
        }).done( function(data) {
            loadServersForHost(host);
        }).fail( function(err) {
            console.log(err);
            var message = DMPROintegration.strings.error;
            if( r.hasOwnProperty( 'message' ) ){
                message = r.message;
            }
            $( '#feedback' ).html( '<p>' + message + '</p>' );
        });
    });

    function loadServersForHost(host)
    {
        // clear the list
        $('table#servers-settings').empty();

        // load the server list
        $.get({
            url: DMPROserver.api.url + '/servers&host=' + host,
            headers: {
                'X-WP-Nonce': DMPROserver.api.nonce
            }
        }).done( function(data) {
            data.forEach((row) => {
                $('table#servers').append(`<tr id="server${row.id}"><td><a href='' class='remove' onClick='removeServer(${row.id});'>[X]</a></td><td>${row.name}</td><td>${row.ip}</td><td>${null === row.ipv6 ? '' : row.ipv6}</td><td>${row.serverID}</td></tr>`)
            });
        });
    }

    // add a server
    $('form#server').on('submit', function(event) {
        var data = $('form#server').serialize();
        data._ajax_nonce = DMPROserver.nonce;
        $.post({
			url: DMPROserver.ajax_url + '/servers',
			headers: {
				'X-WP-Nonce': DMPROserver.nonce
			},
		   	data
		}).done(
            function(data) {
                $('table#servers').append(`<tr id="server${data.id}"><td><a href='' class='remove' onClick='removeServer(${data.id});'>[X]</a></td><td>${data.name}</td><td>${data.ip}</td><td>${data.ipv6}</td><td>${data.serverID}</td></tr>`);
            }
        );

        event.preventDefault();
        return false;
    });

    // delete a server
    //$('a.remove').on('click', function(event) {
    removeServer = function (id) {
        console.log('remove click');
        //var data = {
            //'_ajax_nonce': DMPROserver.nonce,
        //};
        var data = {
            'id': id
        }
        //data._ajax_nonce = DMPROserver.nonce;
        $.ajax({
            method: 'DELETE',
            url: DMPROserver.ajax_url + '/servers/' + id,
			headers: {
				'X-WP-Nonce': DMPROserver.nonce
				//platform: this.platform
			},
            data
        }).done( function(data) {
                console.log('remove');
                console.log(data);
				if (true === data) {
					$('tr#server' + id).remove();
				}
        });

        event.preventDefault();
        return false;
    };
} );
