<?php declare(strict_types=1);
namespace DiviManagerPro\Action;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\Platform as PlatformService;
use DiviManager\Service\Profile as ProfileService;
use DiviManager\Helper\Sodium;

class CloneActionFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $action = new CloneAction;
        $action->setSodium($registry->getService(Sodium::class));
        $action->setPlatformService($registry->getService(PlatformService::class));
        $action->setProfileService($registry->getService(ProfileService::class));

        return $action;
    }
}
