<?php declare(strict_types=1);
namespace DiviManagerPro\Action;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Sodium;
use DiviManager\Service\Queue;
use DiviManager\Service\Site;
use DiviManagerPro\Service\SiteServer;
use DiviManager\Service\Profile;
use DiviManagerPro\Service\ProfileServer;
use DiviManagerPro\Service\ProfileIntegration;
use DiviManagerPro\Service\SiteProvision as SiteProvisionService;
use DiviManagerPro\Service\IntegrationServer;

class SiteProvisionFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new SiteProvision(
            $registry->getService(Queue::class),
            $registry->getService(SiteProvisionService::class),
            $registry->getService(Profile::class),
            $registry->getService(ProfileServer::class),
            $registry->getService(ProfileIntegration::class),
            $registry->getService(Site::class),
            $registry->getService(SiteServer::class),
            $registry->getService(IntegrationServer::class)
        );
    }
}
