<?php declare(strict_types=1);
namespace DiviManagerPro\Command;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Site as SiteService;
use DiviManagerPro\Action\Migrate as MigrateAction;

class MigrateFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $command = new Migrate();
        $command->setSiteService($registry->getService(SiteService::class));
        $command->setMigrateAction($registry->getService(MigrateAction::class));

        return $command;
    }
}
