<?php declare(strict_types=1);
namespace DiviManagerPro\Model;

/**
 * Model a site provision
 */
class SiteProvision
{
    /**
     * @var int our id from the database
     */
    protected $id;

    /**
     * @var string the provision status, between NEW, DNS, SERVER, DONE
     */
    protected $status;

    /**
     * @var int the id for the site the provision is linked to
     */
    protected $siteID;

    public function toArray ()
    {
        return [
            'id' => $this->getId(),
            'status' => $this->getStatus(),
            'siteID' => $this->getSiteID()
        ];
    }

    public function fromArray (array $data)
    {
        $this->setId($data['id']);
        $this->setStatus($data['status']);
        $this->setSiteID($data['siteID']);

        return $this;
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($newId)
    {
        $this->id = $newId;
        return $this;
    }

    public function getStatus()
    {
        return $this->status;
    }

    public function setStatus($newStatus)
    {
        $this->status = $newStatus;
        return $this;
    }

    public function getSiteID()
    {
        return $this->siteID;
    }

    public function setSiteID($newId)
    {
        $this->siteID = $newId;
        return $this;
    }
}