<?php declare(strict_types=1);
namespace DiviManager\Page;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\DiviManager;
use DiviManager\Service\Site;
use DiviManager\Service\Profile;

class CloneSiteFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $page = new CloneSite;

        $page->setManager($registry->getService(DiviManager::class));
        $page->setSiteService($registry->getService(Site::class));
        $page->setProfileService($registry->getService(Profile::class));

        return $page;
    }
}
