<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManagerPro\DiviManagerPro;
use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Profile as ProfileService;
use DiviManager\Service\ProfilePlugin;
use DiviManager\Service\Theme;
use DiviManager\Service\Site;
use DiviManager\Service\Plugin;

class ProfileFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Profile(
            $registry->getService(ProfileService::class),
            $registry->getService(Theme::class),
            $registry->getService(Site::class),
            $registry->getService(Plugin::class),
            $registry->getService(ProfilePlugin::class),
            $registry->getService(DiviManagerPro::class)->getMainPluginFile()
        );
    }
}
