<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManagerPro\DiviManagerPro;
use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\Server as ServerService;
use DiviManagerPro\Service\Integration as IntegrationService;
use DiviManagerPro\Service\IntegrationServer as IntegrationServerService;
use DiviManagerPro\Helper\Form;

class ServerFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Server(
            $registry->getService(ServerService::class),
            $registry->getService(IntegrationService::class),
            $registry->getService(IntegrationServerService::class),
            new Form(),
            $registry->getService(DiviManagerPro::class)->getMainPluginFile()
        );
    }
}
