<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Service;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Site as SiteService;
use DiviManager\Action\AbstractActionFactory;
use DiviManager\Helper\Option;

class EmailFactory extends AbstractActionFactory
{
    public function __construct()
    {
        $this->prototype = new Email;
    }

    public function create(Registry $registry)
    {
        $email = new Email();//parent::create($registry);
        $email->setSiteService($registry->getService(SiteService::class));
        $email->setOption($registry->getService(Option::class));
        $email->setReporter($registry->getService(Reporter::class));

        return $email;
    }
}
