<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Service;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManagerPro\Reporter\Reporter as DmProReporter;
use DiviManagerPro\Reporter\Shortcode;

class ReporterFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $reporter = new Reporter();

        $reporter->setScPrefix($registry->getService(DmProReporter::class)->getScPrefix());
        $reporter->setOption($registry->getService(Option::class));
        $reporter->addShortcode('report', $registry->getService(Shortcode\Report::class));
        $reporter->addShortcode('bl', $registry->getService(Shortcode\Bloom::class));
        $reporter->addShortcode('gf', $registry->getService(Shortcode\GfReport::class));
        $reporter->addShortcode('wc', $registry->getService(Shortcode\WcReport::class));
        $reporter->addShortcode('mi', $registry->getService(Shortcode\MonsterInsight::class));
        $reporter->addShortcode('mr', $registry->getService(Shortcode\Monarch::class));
        $reporter->addShortcode('jp', $registry->getService(Shortcode\WpJetpack::class));
        $reporter->addShortcode('wp', $registry->getService(Shortcode\WpCore::class));
        $reporter->addShortcode('php', $registry->getService(Shortcode\PhpCore::class));
        $reporter->addShortcode('theme', $registry->getService(Shortcode\Theme::class));

        return $reporter;
    }
}
