<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

/**
 * Bloom report information
 *
 * see bloom/bloom.php
 */
class Bloom extends AbstractShortcode
{
    public function __construct()
    {
        //$this->addCode('optins', 'Single block for Bloom optins', [$this, 'optins']);
        $this->addCode('optins', 'Single block for Bloom optins', ['report', 'bloom', ['name', 'impressions', 'conversions', 'rate']]);
    }

    /**
     * Single block for bloom optins
     */
    public function optins()
    {
        $data = $this->site->getData();
        $bloom = $data['report']['bloom'];


        if ('N/A' == $bloom) {
            return 'Bloom is not installed or activated';
        }

        $totals = [
            'impressions' => 0,
            'conversions' => 0,
        ];

        $contentHTML =<<<EOHTML
            <table>
            <thead>
            <tr><th>Optin Name</th><th>Impressions</th><th>Conversions</th><th>Conversion Rate</th></tr>
            </thead>
            <tbody>
EOHTML;
                    foreach ($bloom as $optin) {
                        $contentHTML .= sprintf('<tr><td>%s</td><td>%s</td><td>%s</td><td>%s</td></tr>', $optin['name'], $optin['impressions'], $optin['conversions'], $optin['rate']);
                    }
                    $contentHTML .=<<<EOHTML
            </tbody>
            </table>
EOHTML;
        return $contentHTML;
    }
}
