<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

/**
 * Monarch report information
 *
 * see monarch/monarch.php
 */
class Monarch extends AbstractShortcode
{
    public function __construct()
    {
        $this->addCode('stats', 'Single block for Monarch stats', [$this, 'stats']);
    }

    /**
     * Single block for monarch stats
     */
    public function stats()
    {
        $data = $this->site->getData();
        $monarch = $data['report']['monarch'];


        if ('N/A' == $monarch) {
            return 'Monarch is not installed or activated';
        }
        $contentHTML =<<<EOHTML
        <table>
        <thead>
        <tr><th>Shares</th><th>Likes</th><th>Follows</th></tr>
        </thead>
        <tbody>
EOHTML;
                $contentHTML .= sprintf('<tr><td>%s</td><td>%s</td><td>%s</td></tr>', '', $monarch['shares'], $monarch['likes'], $monarch['follows']);
                $contentHTML .=<<<EOHTML
        </tbody>
        </table>
EOHTML;
        return $contentHTML;
    }
}
