<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

/**
 * Aggregate report related data
 */
class Report extends AbstractShortcode
{
    public function __construct()
    {
        $this->addCode('date.range', 'Show date range covered in this report', [$this, 'date_range']);
        $this->addCode('date.month', 'Show the month the report covers', [$this, 'date_month']);
    }

    public function date_range()
    {
        //$data = $this->site->getData();
        //$report = $data['report']['report'];

        return 'Last 30 days';
    }

    public function date_month()
    {
        $reportDate = $this->reporter->getTargetMonth();

        return $reportDate->format('F');
    }
}
