<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use WP_Site_Health;

/**
 * WP Core report information
 *
 * @see https://developer.wordpress.org/reference/files/wp-admin/update-core.php
 */
class Theme extends AbstractShortcode
{
    public function __construct()
    {
        $this->addCode('active', 'Show active theme', [$this, 'active']);
        $this->addCode('active.current', 'Show active theme current version', [$this, 'active_current']);
    }

    public function active()
    {
        $data = $this->site->getData();
        $themes = $data['theme'];

        foreach ($themes as $theme) {
            if ('active' === $theme['status']) {
                return $theme['name'];
            }
        }

        return 'Site data needs refreshed';
    }

    public function active_current()
    {
        $data = $this->site->getData();
        $themes = $data['theme'];

        foreach ($themes as $theme) {
            if ('active' === $theme['status']) {
                return $theme['version'];
            }
        }

        return 'Site data needs refreshed';
    }
}
