<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );


/**
 * Jetpack report information
 *
 * see jetpack/class.jetpack.php
 */
class WpJetpack extends AbstractShortcode
{
    public function __construct()
    {
        $this->addCode('status', 'Single block of Jetpack data', [$this, 'status']);
        $this->addCode('blocked', 'Number of blocked attempts', ['report', 'jp', 'blocked']);
        $this->addCode('visits', 'Number of visits in the past month', ['report', 'jp', 'visits']);
        $this->addCode('spam', 'Number of spam tracked by akismet', ['report', 'jp', 'spam']);
    }

    /**
     * Single block for jetpack status
     */
    public function status()
    {
        $data = $this->site->getData();
        $jp = $data['report']['jp'];

        if ('N/A' == $jp) {
            return 'Jetpack is not installed or activated';
        }

        $contentHTML =<<<EOHTML
<p>Jetpack is installed</p>
EOHTML;
        return $contentHTML;
    }
}
