<?php declare(strict_types=1);
namespace DiviManagerPro\Rest;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManagerPro\Integration\Setting as IntegrationSetting;
use DiviManagerPro\Service\Integration as IntegrationService;

class IntegrationFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Integration(
            'dmpro/v1/integration',
            $registry->getService(IntegrationService::class),
            $registry->getService(IntegrationSetting::class)
        );
    }
}
