<?php declare(strict_types=1);
namespace DiviManagerPro\Rest;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManager\Service\Profile as ProfileService;
use DiviManager\Service\Theme as ThemeService;
use DiviManager\Service\Plugin as PluginService;
use DiviManager\Service\ProfilePlugin as ProfilePluginService;
use DiviManagerPro\Service\Integration as IntegrationService;
use DiviManagerPro\Service\ProfileIntegration as ProfileIntegrationService;
use DiviManagerPro\Service\ProfileServer as ProfileServerService;
use DiviManagerPro\Service\Server as ServerService;
use DiviManagerPro\Rest\Form;

class ProfileFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Profile(
            'dmpro/v1',
            $registry->getService(ProfileService::class),
            $registry->getService(IntegrationService::class),
            $registry->getService(Form::class),
            $registry->getService(ThemeService::class),
            $registry->getService(PluginService::class),
            $registry->getService(ProfilePluginService::class),
            $registry->getService(ProfileIntegrationService::class),
            $registry->getService(ProfileServerService::class),
            $registry->getService(ServerService::class)
        );
    }
}
