<?php declare(strict_types=1);
namespace DiviManagerPro\Rest;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\Server as ServerService;
use DiviManagerPro\Service\IntegrationServer;
use DiviManagerPro\Service\Integration;

class ServerFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new Server(
            'dmpro/v1',
            $registry->getService(ServerService::class),
            $registry->getService(IntegrationServer::class),
            $registry->getService(Integration::class)
        );
    }
}
