<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;

class IntegrationServerFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $service = new IntegrationServer;
        $service->setWpdb($registry->getService('wpdb'));
        $service->setDbDelta($registry->getService(DbDelta::class));
        $service->setServerService($registry->getService(Server::class));
        $service->setIntegrationService($registry->getService(Integration::class));

        return $service;
    }
}
