<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Service\Profile;
use DiviManagerPro\Service\Integration;

class ProfileIntegrationFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        return new ProfileIntegration(
            $registry->getService('wpdb'),
            $registry->getService(DbDelta::class),
            $registry->getService(Profile::class),
            $registry->getService(Integration::class)
        );
    }
}
