<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Helper\Option;
use DiviManager\Service\Queue;
use DiviManager\Service\Profile;
use DiviManager\Service\Site;

class SiteCreationFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $site = new SiteCreation;
        $site->setProfileService($registry->getService(Profile::class));
        $site->setProvisionService($registry->getService(SiteProvision::class));
        $site->setQueueService($registry->getService(Queue::class));
        $site->setSiteService($registry->getService(Site::class));

        return $site;
    }
}