<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

defined('ABSPATH') or die('Unexpected access');

use DiviManager\Service\DbManager;
use DiviManagerPro\Model\SiteProvision as SiteProvisionModel;

class SiteProvision extends DbManager
{   
    public function __construct()
    {
        $fields =<<<EOSQL
id int NOT NULL AUTO_INCREMENT,
siteID int NOT NULL,
status varchar(8) NOT NULL,
PRIMARY KEY (id)
EOSQL;
        parent::__construct('divimanager_pro_provisions', $fields);
    }

    public function newModel ()
    {
        return new SiteProvisionModel;
    }

    public function createSiteProvision(SiteProvisionModel $provision) {
        $ok = $this->wpdb->insert( $this->getTableName(), [
            'siteID' => $provision->getSiteID(),
            'status' => $provision->getStatus(),
        ]);

        if (false === $ok) {
            throw new \Exception('Failed to create provision:' . print_r($provision->getId(), true) . ':' . print_r($provision, true));
        }

        $provision->setId($this->wpdb->insert_id);

        return $provision;
    }

    public function deleteProvision (SiteProvisionModel $provision)
    {
        return $this->deleteRecord($provision);
    }
}
