<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Service\Site;

class SiteServerFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $service = new SiteServer(
            $registry->getService(Site::class),
            $registry->getService(Server::class)
        );

        $service->setWpdb($registry->getService('wpdb'));
        $service->setDbDelta($registry->getService(DbDelta::class));

        return $service;
    }
}
