<?php declare(strict_types=1);
namespace DiviManagerPro\Woocommerce\Command;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManagerPro\Woocommerce\Command\Renewal as RenewalCommand;
use DiviManagerPro\Woocommerce\Woocommerce as DMPWC;
use DiviManager\Service\Site as SiteService;

class RenewalFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $renewal = new RenewalCommand();
        $renewal->setDmpwc($registry->getService(DMPWC::class));

        return $renewal;
    }
}
