<?php

declare(strict_types=1);

namespace DNSMadeEasyAPI;

use PHPUnit\Framework\TestCase;
use GuzzleHttp\Client;
use GuzzleHttp\Handler\MockHandler;
use GuzzleHttp\HandlerStack;
use GuzzleHttp\Psr7\Response;
use GuzzleHttp\Psr7\Request;
use GuzzleHttp\Exception\RequestException;

final class DNSMadeEasyAPITest extends TestCase
{
    public function testDefaultGuzzleConfig(): void
    {
        $sut = new DNSMadeEasyAPI('foo', 'bar', 'baz');
        $client = $sut->getGuzzle();
        $this->assertInstanceOf(
            Client::class,
            $client
        );
        $this->assertEquals(
            'foo',
            $client->getConfig('base_uri')
        );
    }
}
