<?php

namespace ServerPilotAPI\Request;

use GuzzleHttp\Client;

// wrapper for the Action API endpoint
class Action extends AbstractRequest
{
    public const SUCCESS = 'success';
    public const OPEN = 'open';
    public const ERROR = 'error';

    public $endpoint = '/v1/actions';

    public function get($id)
    {
        $response = $this->client->request('GET', $this->endpoint . '/' . $id, [
            'auth' => [$this->clientID, $this->apiKey],
        ]);

        $body = json_decode($response->getBody());
        if (self::SUCCESS === $body->data->status) {
            return self::SUCCESS;
        } elseif (self::OPEN === $body->data->status) {
            return self::OPEN;
        } elseif (self::ERROR === $body->data->status) {
            return self::ERROR;
        }

        // not a recognized status
        return self::ERROR;
    }
}
